### Function

# Pango attr_baseline_shift_new

since: 1.50

#### Declaration [src]

    PangoAttribute*
    pango_attr_baseline_shift_new (
      int shift
    )

#### Description [src]

Create a new baseline displacement attribute.

The effect of this attribute is to shift the baseline of a run, relative to the run of preceding run.

.

Available since: 1.50

#### Parameters

`shift`

  Type: `int`

  Either a `PangoBaselineShift` enumeration value or an absolute value (> 1024) in Pango units, relative to the baseline of the previous run. Positive values displace the text upwards.

#### Return value

Type: `PangoAttribute`

The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.

The caller of the function takes ownership of the data, and is responsible for freeing it.